<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.work.mapper.HospitalDeptMapper">
    
    <select id="selectList" resultType="com.ruoyi.web.work.domain.HospitalDept">
        select * from tb_hospital_dept
        <where>  
            <if test="deptname != null  and deptname != ''"> and deptName like concat('%', #{deptname}, '%')</if>
            <if test="deptdesc != null  and deptdesc != ''"> and deptDesc like concat('%', #{deptdesc}, '%')</if>
            <if test="parentId != null  and parentId != ''"> and parent_id = #{parentId}</if>
        </where>
    </select>

</mapper>